Create a mandate
curl --request POST \
--url https://api.tilta.io/v1/merchants/{external_id}/mandates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"iban": "DE03500105177178979259"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({iban: 'DE03500105177178979259'})
};
fetch('https://api.tilta.io/v1/merchants/{external_id}/mandates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/merchants/{external_id}/mandates"
payload = { "iban": "DE03500105177178979259" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/merchants/{external_id}/mandates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'iban' => 'DE03500105177178979259'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"mandate_id": "TLT PLT 00000001",
"created_at": 1582896122,
"updated_at": 1582896122
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "No Entity found",
"code": "NOT_FOUND"
}{
"error": "Mandate with provided IBAN already exists for this Buyer",
"code": "CONFLICT"
}Merchants
Create a mandate
Authorize Tilta to collect payments directly from a merchant’s bank account by creating a SEPA Direct Debit mandate.
POST
/
v1
/
merchants
/
{external_id}
/
mandates
Create a mandate
A Direct Debit mandate authorizes Tilta to initiate SEPA Direct Debit collections from a merchant’s registered bank account – for example, to collect fees or settle a financing adjustment.
SEPA Direct Debit mandates are subject to the SEPA Rulebook. The merchant receives a pre-notification before any debit is
initiated against their account.
Authorizations
Your Tilta API key, sent as Bearer <key>.
Path Parameters
Unique identifier of a merchant.
Maximum string length:
100Pattern:
^[a-zA-Z0-9-_]+$Body
application/json
IBAN for mandate.
Example:
"DE03500105177178979259"